Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.providers
Interface CIBProviderHandler

All Known Implementing Classes:
  CIBProviderHandlerImpl

public interface CIBProviderHandler

Provides methods that should be implemented by a CIBProviderHandler

Field Summary
`static int` | `APPLICATION_CONFIG_TYPE` Type of an CIBConfiguration for a CIBApplication
`static int` | `APPLICATION_PERFSTATS_TYPE` Type of an CIBApplicationPerfStats provider
`static int` | `APPLICATION_STATE_TYPE` Type of an CIBState for a CIBApplication
`static int` | `EXTERNALRESOURCE_CONFIG_TYPE` Type of an CIBConfiguration for a CIBExternalResource
`static int` | `EXTERNALRESOURCE_PERFSTATS_TYPE` Type of an CIBExternalServicePerfStats provider
`static int` | `EXTERNALRESOURCE_STATE_TYPE` Type of an CIBState for a CIBExternalResource
`static int` | `RESOURCE_CONFIG_TYPE` Type of an CIBConfiguration for a CIBResource
`static int` | `RESOURCE_PERFSTATS_TYPE` Type of an CIBResourcePerfStats provider
`static int` | `RESOURCE_STATE_TYPE` Type of an CIBState for a CIBResource
`static int` | `SERVICE_CONFIG_TYPE` Type of an CIBConfiguration for a CIBService
`static int` | `SERVICE_PERFSTATS_TYPE` Type of an CIBServicePerfStats provider
`static int` | `SERVICE_STATE_TYPE` Type of an CIBState for a CIBService

Method Summary
`void` | `createProviders(CIBMonitoredObjectMBean monitoredObject)` Creates the providers
`CIBAvailabilityStatusState` | `getAvailabilityStatusState(CIBMonitoredObjectMBean monitoreObject, int stateType)` Returns the CIBAvailabilityStatusState object associated to the monitored object
`CIBConfiguration` | `getConfiguration(CIBMonitoredObjectMBean monitoreObject, int configType)` Returns the CIBConfiguration object of the associated monitored object
`CIBOperationalStatusState` | `getOperationalStatusState(CIBMonitoredObjectMBean monitoreObject, int stateType)` Returns the CIBOperationalStatusState object associated to the monitored object
`CIBPerfStats` | `getPerfStats(CIBMonitoredObjectMBean monitoreObject, int statsType)` Returns the CIBPerfStats object associated to a monitored object

Field Detail

### APPLICATION_PERFSTATS_TYPE

    public static final int APPLICATION_PERFSTATS_TYPE

  Type of an CIBApplicationPerfStats provider

  See Also:
    Constant Field Values

### SERVICE_PERFSTATS_TYPE

    public static final int SERVICE_PERFSTATS_TYPE

  Type of an CIBServicePerfStats provider

  See Also:
    Constant Field Values

### EXTERNALRESOURCE_PERFSTATS_TYPE

    public static final int EXTERNALRESOURCE_PERFSTATS_TYPE

  Type of an CIBExternalServicePerfStats provider

  See Also:
    Constant Field Values

### RESOURCE_PERFSTATS_TYPE

    public static final int RESOURCE_PERFSTATS_TYPE

  Type of an CIBResourcePerfStats provider

  See Also:
    Constant Field Values

### APPLICATION_STATE_TYPE

    public static final int APPLICATION_STATE_TYPE

  Type of an CIBState for a CIBApplication

  See Also:
    Constant Field Values

### SERVICE_STATE_TYPE

    public static final int SERVICE_STATE_TYPE

  Type of an CIBState for a CIBService

  See Also:
    Constant Field Values

### EXTERNALRESOURCE_STATE_TYPE

    public static final int EXTERNALRESOURCE_STATE_TYPE

  Type of an CIBState for a CIBExternalResource

  See Also:
    Constant Field Values

### RESOURCE_STATE_TYPE

    public static final int RESOURCE_STATE_TYPE

  Type of an CIBState for a CIBResource

  See Also:
    Constant Field Values

### APPLICATION_CONFIG_TYPE

    public static final int APPLICATION_CONFIG_TYPE

  Type of an CIBConfiguration for a CIBApplication

  See Also:
    Constant Field Values

### SERVICE_CONFIG_TYPE

    public static final int SERVICE_CONFIG_TYPE

  Type of an CIBConfiguration for a CIBService

  See Also:
    Constant Field Values

### EXTERNALRESOURCE_CONFIG_TYPE

    public static final int EXTERNALRESOURCE_CONFIG_TYPE

  Type of an CIBConfiguration for a CIBExternalResource

  See Also:
    Constant Field Values

### RESOURCE_CONFIG_TYPE

    public static final int RESOURCE_CONFIG_TYPE

  Type of an CIBConfiguration for a CIBResource

  See Also:
    Constant Field Values

Method Detail

### createProviders

    public void createProviders(CIBMonitoredObjectMBean monitoredObject)
                         throws CIBException,
                                javax.management.JMException

  Creates the providers

  Parameters:
    `monitoredObject` - CIBMonitoredObjectMBean
  Throws:
    `CIBException`
    `javax.management.JMException`

### getPerfStats

    public CIBPerfStats getPerfStats(CIBMonitoredObjectMBean monitoreObject,
                                     int statsType)
                              throws CIBIOException,
                                     CIBProviderNotFoundException,
                                     CIBAttributeNotFoundException

  Returns the CIBPerfStats object associated to a monitored object

  Parameters:
    `monitoreObject` - CIBMonitoredObjectMBean
    `statsType` - int
  Returns:
    CIBPerfStats
  Throws:
    `CIBIOException`
    `CIBProviderNotFoundException`
    `CIBAttributeNotFoundException`

### getOperationalStatusState

    public CIBOperationalStatusState getOperationalStatusState(CIBMonitoredObjectMBean monitoreObject,
                                                               int stateType)
                                                        throws CIBIOException,
                                                               CIBProviderNotFoundException,
                                                               CIBAttributeNotFoundException

  Returns the CIBOperationalStatusState object associated to the monitored object

  Parameters:
    `monitoreObject` - CIBMonitoredObjectMBean
    `stateType` - int
  Returns:
    CIBOperationalStatusState
  Throws:
    `CIBIOException`
    `CIBProviderNotFoundException`
    `CIBAttributeNotFoundException`

### getAvailabilityStatusState

    public CIBAvailabilityStatusState getAvailabilityStatusState(CIBMonitoredObjectMBean monitoreObject,
                                                                 int stateType)
                                                          throws CIBIOException,
                                                                 CIBProviderNotFoundException,
                                                                 CIBAttributeNotFoundException

  Returns the CIBAvailabilityStatusState object associated to the monitored object

  Parameters:
    `monitoreObject` - CIBMonitoredObjectMBean
    `stateType` - int
  Returns:
    CIBAvailabilityStatusState
  Throws:
    `CIBIOException`
    `CIBProviderNotFoundException`
    `CIBAttributeNotFoundException`

### getConfiguration

    public CIBConfiguration getConfiguration(CIBMonitoredObjectMBean monitoreObject,
                                             int configType)
                                      throws CIBIOException,
                                             CIBProviderNotFoundException,
                                             CIBAttributeNotFoundException

  Returns the CIBConfiguration object of the associated monitored object

  Parameters:
    `monitoreObject` - CIBMonitoredObjectMBean
    `configType` - int
  Returns:
    CIBConfiguration
  Throws:
    `CIBIOException`
    `CIBProviderNotFoundException`
    `CIBAttributeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD